OpenNMS API 1.2.9

## org.opennms.netmgt.xml.event
Class Correlation

    java.lang.Object
      org.opennms.netmgt.xml.event.Correlation

All Implemented Interfaces:
  java.io.Serializable

public class Correlation
extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private java.lang.String` `_cmax`
`private java.lang.String` `_cmin`
`private java.lang.String` `_ctime`
`private java.util.ArrayList` `_cueiList`
`private java.lang.String` `_path`
`private java.lang.String` `_state`
`private java.util.Vector` `propertyChangeListeners`

Constructor Summary
`Correlation()`

Method Summary
`void` `addCuei(int index, java.lang.String vCuei)`
`void` `addCuei(java.lang.String vCuei)`
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)` Registers a PropertyChangeListener with this class.
`void` `clearCuei()`
`java.util.Enumeration` `enumerateCuei()`
`boolean` `equals(java.lang.Object obj)` Note: hashCode() has not been overriden
`java.lang.String` `getCmax()` Returns the value of field 'cmax'.
`java.lang.String` `getCmin()` Returns the value of field 'cmin'.
`java.lang.String` `getCtime()` Returns the value of field 'ctime'.
`java.lang.String[]` `getCuei()`
`java.lang.String` `getCuei(int index)`
`java.util.Collection` `getCueiCollection()`
`int` `getCueiCount()`
`java.lang.String` `getPath()` Returns the value of field 'path'.
`java.lang.String` `getState()` Returns the value of field 'state'.
`boolean` `isValid()`
`void` `marshal(org.xml.sax.DocumentHandler handler)`
`void` `marshal(java.io.Writer out)`
`protected void` `notifyPropertyChangeListeners(java.lang.String fieldName, java.lang.Object oldValue, java.lang.Object newValue)` Notifies all registered PropertyChangeListeners when a bound property's value changes.
`boolean` `removeCuei(java.lang.String vCuei)`
`boolean` `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)` Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.
`void` `setCmax(java.lang.String cmax)` Sets the value of field 'cmax'.
`void` `setCmin(java.lang.String cmin)` Sets the value of field 'cmin'.
`void` `setCtime(java.lang.String ctime)` Sets the value of field 'ctime'.
`void` `setCuei(int index, java.lang.String vCuei)`
`void` `setCuei(java.lang.String[] cueiArray)`
`void` `setCueiCollection(java.util.Collection vCuei)`
`void` `setPath(java.lang.String path)` Sets the value of field 'path'.
`void` `setState(java.lang.String state)` Sets the value of field 'state'.
`static Correlation` `unmarshal(java.io.Reader reader)`
`void` `validate()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _state

    private java.lang.String _state

### _path

    private java.lang.String _path

### _cueiList

    private java.util.ArrayList _cueiList

### _cmin

    private java.lang.String _cmin

### _cmax

    private java.lang.String _cmax

### _ctime

    private java.lang.String _ctime

### propertyChangeListeners

    private java.util.Vector propertyChangeListeners

Constructor Detail

### Correlation

    public Correlation()

Method Detail

### addCuei

    public void addCuei(java.lang.String vCuei)
                 throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vCuei` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addCuei

    public void addCuei(int index,
                        java.lang.String vCuei)
                 throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vCuei` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Registers a PropertyChangeListener with this class.

  Parameters:
    `pcl` - The PropertyChangeListener to register.

### clearCuei

    public void clearCuei()

### enumerateCuei

    public java.util.Enumeration enumerateCuei()

### equals

    public boolean equals(java.lang.Object obj)

  Note: hashCode() has not been overriden

  Parameters:
    `obj` -

### getCmax

    public java.lang.String getCmax()

  Returns the value of field 'cmax'.

  Returns:
    the value of field 'cmax'.

### getCmin

    public java.lang.String getCmin()

  Returns the value of field 'cmin'.

  Returns:
    the value of field 'cmin'.

### getCtime

    public java.lang.String getCtime()

  Returns the value of field 'ctime'.

  Returns:
    the value of field 'ctime'.

### getCuei

    public java.lang.String getCuei(int index)
                             throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getCuei

    public java.lang.String[] getCuei()

### getCueiCollection

    public java.util.Collection getCueiCollection()

### getCueiCount

    public int getCueiCount()

### getPath

    public java.lang.String getPath()

  Returns the value of field 'path'.

  Returns:
    the value of field 'path'.

### getState

    public java.lang.String getState()

  Returns the value of field 'state'.

  Returns:
    the value of field 'state'.

### isValid

    public boolean isValid()

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(org.xml.sax.DocumentHandler handler)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### notifyPropertyChangeListeners

    protected void notifyPropertyChangeListeners(java.lang.String fieldName,
                                                 java.lang.Object oldValue,
                                                 java.lang.Object newValue)

  Notifies all registered PropertyChangeListeners when a bound property's value changes.

  Parameters:
    `fieldName` - the name of the property that has changed.
    `newValue` - the new value of the property.
    `oldValue` - the old value of the property.

### removeCuei

    public boolean removeCuei(java.lang.String vCuei)

  Parameters:
    `vCuei` -

### removePropertyChangeListener

    public boolean removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.

  Parameters:
    `pcl` - The PropertyChangeListener to remove.
  Returns:
    true if the given PropertyChangeListener was removed.

### setCmax

    public void setCmax(java.lang.String cmax)

  Sets the value of field 'cmax'.

  Parameters:
    `cmax` - the value of field 'cmax'.

### setCmin

    public void setCmin(java.lang.String cmin)

  Sets the value of field 'cmin'.

  Parameters:
    `cmin` - the value of field 'cmin'.

### setCtime

    public void setCtime(java.lang.String ctime)

  Sets the value of field 'ctime'.

  Parameters:
    `ctime` - the value of field 'ctime'.

### setCuei

    public void setCuei(int index,
                        java.lang.String vCuei)
                 throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vCuei` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setCuei

    public void setCuei(java.lang.String[] cueiArray)

  Parameters:
    `cueiArray` -

### setCueiCollection

    public void setCueiCollection(java.util.Collection vCuei)

  Parameters:
    `vCuei` -

### setPath

    public void setPath(java.lang.String path)

  Sets the value of field 'path'.

  Parameters:
    `path` - the value of field 'path'.

### setState

    public void setState(java.lang.String state)

  Sets the value of field 'state'.

  Parameters:
    `state` - the value of field 'state'.

### unmarshal

    public static Correlation unmarshal(java.io.Reader reader)
                                 throws org.exolab.castor.xml.MarshalException,
                                        org.exolab.castor.xml.ValidationException

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.